For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search WordPress plugins

Search the WordPress.org plugin directory for plugins available to install. Use the returned slug values with POST /api/hosting/v1/accounts/{username}/wordpress/{software}/plugins/install.

Search WordPress plugins

get

Search the WordPress.org plugin directory for plugins available to install.

Use the returned slug values with POST /api/hosting/v1/accounts/{username}/wordpress/{software}/plugins/install.

Authorizations
AuthorizationstringRequired

API Token authentication

Query parameters
searchstring · min: 3Required

Search term to match against plugin names. Minimum 3 characters.

Example: seo
Responses
200

Success response

application/json
slugstringOptional

Plugin slug used when installing the plugin

Example: akismet
titlestringOptional

Human readable plugin name

Example: Akismet Anti-Spam
descriptionstringOptional

Short plugin description

Example: Used by millions, Akismet is quite possibly the best way to protect your site from spam.
get/api/hosting/v1/wordpress/plugins
GET /api/hosting/v1/wordpress/plugins?search=seo HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "slug": "akismet",
    "title": "Akismet Anti-Spam",
    "icons": {
      "1x": "https://ps.w.org/akismet/assets/icon-128x128.png",
      "2x": "https://ps.w.org/akismet/assets/icon-256x256.png"
    },
    "description": "Used by millions, Akismet is quite possibly the best way to protect your site from spam."
  }
]

Last updated

Was this helpful?